(function (Drupal, $) {

  let init = false;

  Drupal.behaviors.interactiveQueueProcessing = {
    attach: function (context, settings) {
      if (init) {
        return;
      }
      init = true;

      doAjax(settings);
    }
  };

  function doAjax(settings) {
    let url = settings.path.baseUrl + 'interactive-queue-processing/ajax';
    $.ajax(url).done(function (data) {
      if (data.remaining > 0) {
        doAjax(settings);
      }
    });
  }

})(Drupal, jQuery)
